"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const d3 = require("d3");
const axes = require("./axes");
const comparisonz_1 = require("./comparisonz");
const evolution_1 = require("./evolution");
/** Plot an x axis */
function xaxis(group, x, ticks = x.domain(), format = d3.format(""), label = "") {
    return axes.xaxis(group, x, ticks, format, label);
}
exports.xaxis = xaxis;
/** Plot a y axis */
function yaxis(group, y, ticks = y.domain(), format = d3.format(""), label = "") {
    return axes.yaxis(group, y, ticks, format, label);
}
exports.yaxis = yaxis;
/** Create a comparison z plot */
function comparisonz(width = 162) {
    return new comparisonz_1.ComparisonZ(width);
}
exports.comparisonz = comparisonz;
/** Create an evolution plot */
function evolution(width = 162, height = 100) {
    return new evolution_1.Evolution(width, height);
}
exports.evolution = evolution;
